%define upstream_name    NetAddr-IP
%define upstream_version 4.071

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Manage IPv4 and IPv6 addresses and subnets in Perl
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/NetAddr/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
This module provides an object-oriented abstraction on top of IP
addresses or IP subnets, that allows for easy manipulations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/00-Sign.t # debug files make it fails

%build
%{__perl} Makefile.PL  INSTALLDIRS=vendor
%make

%check
%make test

%install
%{makeinstall_std}

%files
%doc Changes META.yml MYMETA.yml TODO
%{perl_vendorarch}/NetAddr
%{perl_vendorarch}/auto/NetAddr
%{_mandir}/*/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 4.71.0-2.mga4
+ Revision: 538578
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 sander85 <sander85> 4.71.0-1.mga4
+ Revision: 489952
- update to 4.071

* Fri Sep 13 2013 sander85 <sander85> 4.70.0-1.mga4
+ Revision: 478445
- update to 4.070

* Fri Jun 07 2013 jquelin <jquelin> 4.69.0-1.mga4
+ Revision: 439676
- update to 4.069

* Wed May 29 2013 jquelin <jquelin> 4.66.0-3.mga4
+ Revision: 430922
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.66.0-2.mga3
+ Revision: 370986
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 4.66.0-1.mga3
+ Revision: 315213
- update to 4.066

* Wed Oct 03 2012 jquelin <jquelin> 4.65.0-1.mga3
+ Revision: 302423
- update to 4.065

* Fri Sep 28 2012 jquelin <jquelin> 4.64.0-1.mga3
+ Revision: 298989
- update to 4.064

* Fri Jun 08 2012 kharec <kharec> 4.62.0-1.mga3
+ Revision: 257926
- update to 4.062

* Tue Jun 05 2012 jquelin <jquelin> 4.61.0-1.mga3
+ Revision: 255256
- update to 4.061

* Wed May 30 2012 jquelin <jquelin> 4.58.0-2.mga3
+ Revision: 250967
- rebuild for perl 5.16

* Sat Nov 12 2011 kharec <kharec> 4.58.0-1.mga2
+ Revision: 166962
- update to 4.058

* Sat Nov 05 2011 kharec <kharec> 4.56.0-1.mga2
+ Revision: 163651
- update to 4.056

* Thu Oct 13 2011 jquelin <jquelin> 4.48.0-1.mga2
+ Revision: 154430
- update to 4.048

* Wed Jun 15 2011 jquelin <jquelin> 4.44.0-1.mga2
+ Revision: 107215
- update to 4.044

* Sun Jun 12 2011 sander85 <sander85> 4.43.0-2.mga2
+ Revision: 104803
- Rebuild for perl 5.14

* Thu Apr 07 2011 jquelin <jquelin> 4.43.0-1.mga1
+ Revision: 81784
- update to 4.043

* Thu Mar 24 2011 jquelin <jquelin> 4.42.0-1.mga1
+ Revision: 76670
- update to 4.042

* Wed Mar 09 2011 jquelin <jquelin> 4.41.0-1.mga1
+ Revision: 67024
- update to 4.041

* Tue Feb 22 2011 jquelin <jquelin> 4.40.0-1.mga1
+ Revision: 56685
- update to 4.040

* Sat Jan 22 2011 jquelin <jquelin> 4.38.0-1.mga1
+ Revision: 32769
- mageia rebuild
- imported package perl-NetAddr-IP


* Sat Dec 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 4.38.0-1mdv2011.0
+ Revision: 622848
- update to new version 4.038

* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 4.37.0-1mdv2011.0
+ Revision: 601983
- new version

* Fri Nov 19 2010 Oden Eriksson <oeriksson@mandriva.com> 4.36.0-1mdv2011.0
+ Revision: 599051
- 4.036

* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 4.35.0-1mdv2011.0
+ Revision: 596631
- update to 4.035

* Mon Oct 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 4.33.0-1mdv2011.0
+ Revision: 589355
- new version

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 4.30.0-2mdv2011.0
+ Revision: 564570
- rebuild for perl 5.12.1

* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 4.30.0-1mdv2011.0
+ Revision: 561946
- update to 4.030

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 4.28.0-2mdv2011.0
+ Revision: 555300
- rebuild

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 4.28.0-1mdv2011.0
+ Revision: 552479
- update to 4.028

* Wed Jun 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.027-1mdv2010.1
+ Revision: 384739
- update to new version 4.027

* Wed Mar 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.026-1mdv2009.1
+ Revision: 353616
- update to new version 4.026

* Thu Jan 29 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.024-1mdv2009.1
+ Revision: 335368
- update to new version 4.024

* Sat Jan 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.023-1mdv2009.1
+ Revision: 330409
- update to new version 4.023
- update to new version 4.023

* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.022-1mdv2009.1
+ Revision: 320439
- update to new version 4.022

* Sun Dec 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.021-1mdv2009.1
+ Revision: 314255
- update to new version 4.021

* Tue Dec 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.019-1mdv2009.1
+ Revision: 309311
- update to new version 4.019

* Tue Nov 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.017-1mdv2009.1
+ Revision: 306764
- update to new version 4.017

* Tue Nov 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.015-1mdv2009.1
+ Revision: 299762
- update to new version 4.015

* Mon Nov 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.014-1mdv2009.1
+ Revision: 299402
- update to new version 4.014

* Mon Oct 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.012-1mdv2009.1
+ Revision: 295509
- update to new version 4.012

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.011-1mdv2009.1
+ Revision: 292291
- update to new version 4.011

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 4.007-3mdv2009.0
+ Revision: 223847
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 4.007-2mdv2008.1
+ Revision: 152173
- rebuild for new perl
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.007-1mdv2008.0
+ Revision: 56123
- new version


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.004-1mdv2007.0
- new release

* Wed May 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.33-1mdk
- New release 3.33

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.028-2mdk
- Fix SPEC according to Perl Policy
    - Source URL

* Fri Nov 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.028-1mdk
- New release 3.028
- %%mkrel

* Tue Sep 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.25-1mdk
- New release 3.25
- spec cleanup

* Fri Jun 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.24-1mdk
- 3.24
- trim description

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.21-1mdk
- 3.21

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.20-1mdk
- Initial mdk release

